package com.amms.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 考核结果管理对象 t_assessment_result
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public class TAssessmentResult extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 姓名 */
    @Excel(name = "姓名")
    private String assessmentName;

    /** 单位 */
    @Excel(name = "单位")
    private String assessmentOrganization;

    /** 机型 */
    @Excel(name = "机型")
    private String aircraftType;

    /** 专业 */
    @Excel(name = "专业")
    private String major;

    /** 是否参考 */
    @Excel(name = "是否参考")
    private String ifExam;

    /** 参考科目 */
    @Excel(name = "参考科目")
    private String examCategory;

    /** 参考层级 */
    @Excel(name = "参考层级")
    private String examLevel;

    /** 业务 */
    @Excel(name = "业务")
    private String examScore;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAssessmentName(String assessmentName) 
    {
        this.assessmentName = assessmentName;
    }

    public String getAssessmentName() 
    {
        return assessmentName;
    }
    public void setAssessmentOrganization(String assessmentOrganization) 
    {
        this.assessmentOrganization = assessmentOrganization;
    }

    public String getAssessmentOrganization() 
    {
        return assessmentOrganization;
    }
    public void setAircraftType(String aircraftType) 
    {
        this.aircraftType = aircraftType;
    }

    public String getAircraftType() 
    {
        return aircraftType;
    }
    public void setMajor(String major) 
    {
        this.major = major;
    }

    public String getMajor() 
    {
        return major;
    }
    public void setIfExam(String ifExam) 
    {
        this.ifExam = ifExam;
    }

    public String getIfExam() 
    {
        return ifExam;
    }
    public void setExamCategory(String examCategory) 
    {
        this.examCategory = examCategory;
    }

    public String getExamCategory() 
    {
        return examCategory;
    }
    public void setExamLevel(String examLevel) 
    {
        this.examLevel = examLevel;
    }

    public String getExamLevel() 
    {
        return examLevel;
    }
    public void setExamScore(String examScore) 
    {
        this.examScore = examScore;
    }

    public String getExamScore() 
    {
        return examScore;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("assessmentName", getAssessmentName())
            .append("assessmentOrganization", getAssessmentOrganization())
            .append("aircraftType", getAircraftType())
            .append("major", getMajor())
            .append("ifExam", getIfExam())
            .append("examCategory", getExamCategory())
            .append("examLevel", getExamLevel())
            .append("examScore", getExamScore())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
