package com.amms.system.mapper;

import java.util.List;
import com.amms.system.domain.TPrepareWar;

/**
 * 备战打仗一本账Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface TPrepareWarMapper 
{
    /**
     * 查询备战打仗一本账
     * 
     * @param id 备战打仗一本账主键
     * @return 备战打仗一本账
     */
    public TPrepareWar selectTPrepareWarById(Long id);

    /**
     * 查询备战打仗一本账列表
     * 
     * @param tPrepareWar 备战打仗一本账
     * @return 备战打仗一本账集合
     */
    public List<TPrepareWar> selectTPrepareWarList(TPrepareWar tPrepareWar);

    /**
     * 新增备战打仗一本账
     * 
     * @param tPrepareWar 备战打仗一本账
     * @return 结果
     */
    public int insertTPrepareWar(TPrepareWar tPrepareWar);

    /**
     * 修改备战打仗一本账
     * 
     * @param tPrepareWar 备战打仗一本账
     * @return 结果
     */
    public int updateTPrepareWar(TPrepareWar tPrepareWar);

    /**
     * 删除备战打仗一本账
     * 
     * @param id 备战打仗一本账主键
     * @return 结果
     */
    public int deleteTPrepareWarById(Long id);

    /**
     * 批量删除备战打仗一本账
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTPrepareWarByIds(Long[] ids);
}
