package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TAssessmentResult;

/**
 * 考核结果管理Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ITAssessmentResultService 
{
    /**
     * 查询考核结果管理
     * 
     * @param id 考核结果管理主键
     * @return 考核结果管理
     */
    public TAssessmentResult selectTAssessmentResultById(Long id);

    /**
     * 查询考核结果管理列表
     * 
     * @param tAssessmentResult 考核结果管理
     * @return 考核结果管理集合
     */
    public List<TAssessmentResult> selectTAssessmentResultList(TAssessmentResult tAssessmentResult);

    /**
     * 新增考核结果管理
     * 
     * @param tAssessmentResult 考核结果管理
     * @return 结果
     */
    public int insertTAssessmentResult(TAssessmentResult tAssessmentResult);

    /**
     * 修改考核结果管理
     * 
     * @param tAssessmentResult 考核结果管理
     * @return 结果
     */
    public int updateTAssessmentResult(TAssessmentResult tAssessmentResult);

    /**
     * 批量删除考核结果管理
     * 
     * @param ids 需要删除的考核结果管理主键集合
     * @return 结果
     */
    public int deleteTAssessmentResultByIds(Long[] ids);

    /**
     * 删除考核结果管理信息
     * 
     * @param id 考核结果管理主键
     * @return 结果
     */
    public int deleteTAssessmentResultById(Long id);
}
