package com.amms.system.service;

import java.util.List;
import com.amms.system.domain.TTroopProblem;

/**
 * 部队问题一本账Service接口
 * 
 * @author ruoyi
 * @date 2023-12-09
 */
public interface ITTroopProblemService 
{
    /**
     * 查询部队问题一本账
     * 
     * @param id 部队问题一本账主键
     * @return 部队问题一本账
     */
    public TTroopProblem selectTTroopProblemById(Long id);

    /**
     * 查询部队问题一本账列表
     * 
     * @param tTroopProblem 部队问题一本账
     * @return 部队问题一本账集合
     */
    public List<TTroopProblem> selectTTroopProblemList(TTroopProblem tTroopProblem);

    /**
     * 新增部队问题一本账
     * 
     * @param tTroopProblem 部队问题一本账
     * @return 结果
     */
    public int insertTTroopProblem(TTroopProblem tTroopProblem);

    /**
     * 修改部队问题一本账
     * 
     * @param tTroopProblem 部队问题一本账
     * @return 结果
     */
    public int updateTTroopProblem(TTroopProblem tTroopProblem);

    /**
     * 批量删除部队问题一本账
     * 
     * @param ids 需要删除的部队问题一本账主键集合
     * @return 结果
     */
    public int deleteTTroopProblemByIds(Long[] ids);

    /**
     * 删除部队问题一本账信息
     * 
     * @param id 部队问题一本账主键
     * @return 结果
     */
    public int deleteTTroopProblemById(Long id);
}
