import request from '@/utils/request'

// 查询第一本账列表
export function listTWorkPlan(query) {
  return request({
    url: '/DirectiveTask/TWorkPlan/list',
    method: 'get',
    params: query
  })
}

// 查询第一本账详细
export function getTWorkPlan(id) {
  return request({
    url: '/DirectiveTask/TWorkPlan/' + id,
    method: 'get'
  })
}

// 新增第一本账
export function addTWorkPlan(data) {
  return request({
    url: '/DirectiveTask/TWorkPlan',
    method: 'post',
    data: data
  })
}

// 修改第一本账
export function updateTWorkPlan(data) {
  return request({
    url: '/DirectiveTask/TWorkPlan',
    method: 'put',
    data: data
  })
}

// 删除第一本账
export function delTWorkPlan(id) {
  return request({
    url: '/DirectiveTask/TWorkPlan/' + id,
    method: 'delete'
  })
}
