import request from '@/utils/request'

// 查询飞机故障及缺陷管理列表
export function listTAircraftFailure(query) {
  return request({
    url: '/Fault/TAircraftFailure/list',
    method: 'get',
    params: query
  })
}

// 查询飞机故障及缺陷管理详细
export function getTAircraftFailure(id) {
  return request({
    url: '/Fault/TAircraftFailure/' + id,
    method: 'get'
  })
}

// 新增飞机故障及缺陷管理
export function addTAircraftFailure(data) {
  return request({
    url: '/Fault/TAircraftFailure',
    method: 'post',
    data: data
  })
}

// 修改飞机故障及缺陷管理
export function updateTAircraftFailure(data) {
  return request({
    url: '/Fault/TAircraftFailure',
    method: 'put',
    data: data
  })
}

// 删除飞机故障及缺陷管理
export function delTAircraftFailure(id) {
  return request({
    url: '/Fault/TAircraftFailure/' + id,
    method: 'delete'
  })
}
