import request from '@/utils/request'

// 查询简报故障信息管理列表
export function listTBriefingFaultInformation(query) {
  return request({
    url: '/Fault/TBriefingFaultInformation/list',
    method: 'get',
    params: query
  })
}

// 查询简报故障信息管理详细
export function getTBriefingFaultInformation(id) {
  return request({
    url: '/Fault/TBriefingFaultInformation/' + id,
    method: 'get'
  })
}

// 新增简报故障信息管理
export function addTBriefingFaultInformation(data) {
  return request({
    url: '/Fault/TBriefingFaultInformation',
    method: 'post',
    data: data
  })
}

// 修改简报故障信息管理
export function updateTBriefingFaultInformation(data) {
  return request({
    url: '/Fault/TBriefingFaultInformation',
    method: 'put',
    data: data
  })
}

// 删除简报故障信息管理
export function delTBriefingFaultInformation(id) {
  return request({
    url: '/Fault/TBriefingFaultInformation/' + id,
    method: 'delete'
  })
}
