import request from '@/utils/request'

// 查询装备质量一本账列表
export function listTEquipmentQuality(query) {
  return request({
    url: '/Invoice/TEquipmentQuality/list',
    method: 'get',
    params: query
  })
}

// 查询装备质量一本账详细
export function getTEquipmentQuality(id) {
  return request({
    url: '/Invoice/TEquipmentQuality/' + id,
    method: 'get'
  })
}

// 新增装备质量一本账
export function addTEquipmentQuality(data) {
  return request({
    url: '/Invoice/TEquipmentQuality',
    method: 'post',
    data: data
  })
}

// 修改装备质量一本账
export function updateTEquipmentQuality(data) {
  return request({
    url: '/Invoice/TEquipmentQuality',
    method: 'put',
    data: data
  })
}

// 删除装备质量一本账
export function delTEquipmentQuality(id) {
  return request({
    url: '/Invoice/TEquipmentQuality/' + id,
    method: 'delete'
  })
}
