import request from '@/utils/request'

// 查询备战打仗一本账列表
export function listTPrepareWar(query) {
  return request({
    url: '/Invoice/TPrepareWar/list',
    method: 'get',
    params: query
  })
}

// 查询备战打仗一本账详细
export function getTPrepareWar(id) {
  return request({
    url: '/Invoice/TPrepareWar/' + id,
    method: 'get'
  })
}

// 新增备战打仗一本账
export function addTPrepareWar(data) {
  return request({
    url: '/Invoice/TPrepareWar',
    method: 'post',
    data: data
  })
}

// 修改备战打仗一本账
export function updateTPrepareWar(data) {
  return request({
    url: '/Invoice/TPrepareWar',
    method: 'put',
    data: data
  })
}

// 删除备战打仗一本账
export function delTPrepareWar(id) {
  return request({
    url: '/Invoice/TPrepareWar/' + id,
    method: 'delete'
  })
}
