import request from '@/utils/request'

// 查询部队问题一本账列表
export function listTTroopProblem(query) {
  return request({
    url: '/Invoice/TTroopProblem/list',
    method: 'get',
    params: query
  })
}

// 查询部队问题一本账详细
export function getTTroopProblem(id) {
  return request({
    url: '/Invoice/TTroopProblem/' + id,
    method: 'get'
  })
}

// 新增部队问题一本账
export function addTTroopProblem(data) {
  return request({
    url: '/Invoice/TTroopProblem',
    method: 'post',
    data: data
  })
}

// 修改部队问题一本账
export function updateTTroopProblem(data) {
  return request({
    url: '/Invoice/TTroopProblem',
    method: 'put',
    data: data
  })
}

// 删除部队问题一本账
export function delTTroopProblem(id) {
  return request({
    url: '/Invoice/TTroopProblem/' + id,
    method: 'delete'
  })
}
