import request from '@/utils/request'

// 查询工作计划一本账列表
export function listTWorkPlan(query) {
  return request({
    url: '/Invoice/TWorkPlan/list',
    method: 'get',
    params: query
  })
}

// 查询工作计划一本账详细
export function getTWorkPlan(id) {
  return request({
    url: '/Invoice/TWorkPlan/' + id,
    method: 'get'
  })
}

// 新增工作计划一本账
export function addTWorkPlan(data) {
  return request({
    url: '/Invoice/TWorkPlan',
    method: 'post',
    data: data
  })
}

// 修改工作计划一本账
export function updateTWorkPlan(data) {
  return request({
    url: '/Invoice/TWorkPlan',
    method: 'put',
    data: data
  })
}

// 删除工作计划一本账
export function delTWorkPlan(id) {
  return request({
    url: '/Invoice/TWorkPlan/' + id,
    method: 'delete'
  })
}
