import request from '@/utils/request'

// 查询免责报告列表
export function listTDisclaimerReport(query) {
  return request({
    url: '/Security/TDisclaimerReport/list',
    method: 'get',
    params: query
  })
}

// 查询免责报告详细
export function getTDisclaimerReport(id) {
  return request({
    url: '/Security/TDisclaimerReport/' + id,
    method: 'get'
  })
}

// 新增免责报告
export function addTDisclaimerReport(data) {
  return request({
    url: '/Security/TDisclaimerReport',
    method: 'post',
    data: data
  })
}

// 修改免责报告
export function updateTDisclaimerReport(data) {
  return request({
    url: '/Security/TDisclaimerReport',
    method: 'put',
    data: data
  })
}

// 删除免责报告
export function delTDisclaimerReport(id) {
  return request({
    url: '/Security/TDisclaimerReport/' + id,
    method: 'delete'
  })
}
