import request from '@/utils/request'

// 查询电子文件管理列表
export function listTElectronicDocument(query) {
  return request({
    url: '/Technicaldata/TElectronicDocument/list',
    method: 'get',
    params: query
  })
}

// 查询电子文件管理详细
export function getTElectronicDocument(id) {
  return request({
    url: '/Technicaldata/TElectronicDocument/' + id,
    method: 'get'
  })
}

// 新增电子文件管理
export function addTElectronicDocument(data) {
  return request({
    url: '/Technicaldata/TElectronicDocument',
    method: 'post',
    data: data
  })
}

// 修改电子文件管理
export function updateTElectronicDocument(data) {
  return request({
    url: '/Technicaldata/TElectronicDocument',
    method: 'put',
    data: data
  })
}

// 删除电子文件管理
export function delTElectronicDocument(id) {
  return request({
    url: '/Technicaldata/TElectronicDocument/' + id,
    method: 'delete'
  })
}
