import request from '@/utils/request'

// 查询技术资料管理列表
export function listTTechnicalData(query) {
  return request({
    url: '/Technicaldata/TTechnicalData/list',
    method: 'get',
    params: query
  })
}

// 查询技术资料管理详细
export function getTTechnicalData(id) {
  return request({
    url: '/Technicaldata/TTechnicalData/' + id,
    method: 'get'
  })
}

// 新增技术资料管理
export function addTTechnicalData(data) {
  return request({
    url: '/Technicaldata/TTechnicalData',
    method: 'post',
    data: data
  })
}

// 修改技术资料管理
export function updateTTechnicalData(data) {
  return request({
    url: '/Technicaldata/TTechnicalData',
    method: 'put',
    data: data
  })
}

// 删除技术资料管理
export function delTTechnicalData(id) {
  return request({
    url: '/Technicaldata/TTechnicalData/' + id,
    method: 'delete'
  })
}
