import request from '@/utils/request'

// 查询备忘录管理模块列表
export function listTMemorandumManagement(query) {
  return request({
    url: '/Technology/TMemorandumManagement/list',
    method: 'get',
    params: query
  })
}

// 查询备忘录管理模块详细
export function getTMemorandumManagement(id) {
  return request({
    url: '/Technology/TMemorandumManagement/' + id,
    method: 'get'
  })
}

// 新增备忘录管理模块
export function addTMemorandumManagement(data) {
  return request({
    url: '/Technology/TMemorandumManagement',
    method: 'post',
    data: data
  })
}

// 修改备忘录管理模块
export function updateTMemorandumManagement(data) {
  return request({
    url: '/Technology/TMemorandumManagement',
    method: 'put',
    data: data
  })
}

// 删除备忘录管理模块
export function delTMemorandumManagement(id) {
  return request({
    url: '/Technology/TMemorandumManagement/' + id,
    method: 'delete'
  })
}
