import request from '@/utils/request'

// 查询技术通报管理模块列表
export function listTTechnicalBulletin(query) {
  return request({
    url: '/Technology/TTechnicalBulletin/list',
    method: 'get',
    params: query
  })
}

// 查询技术通报管理模块详细
export function getTTechnicalBulletin(id) {
  return request({
    url: '/Technology/TTechnicalBulletin/' + id,
    method: 'get'
  })
}

// 新增技术通报管理模块
export function addTTechnicalBulletin(data) {
  return request({
    url: '/Technology/TTechnicalBulletin',
    method: 'post',
    data: data
  })
}

// 修改技术通报管理模块
export function updateTTechnicalBulletin(data) {
  return request({
    url: '/Technology/TTechnicalBulletin',
    method: 'put',
    data: data
  })
}

// 删除技术通报管理模块
export function delTTechnicalBulletin(id) {
  return request({
    url: '/Technology/TTechnicalBulletin/' + id,
    method: 'delete'
  })
}
