import request from '@/utils/request'

// 查询考核结果管理列表
export function listTAssessmentResult(query) {
  return request({
    url: '/Train/TAssessmentResult/list',
    method: 'get',
    params: query
  })
}

// 查询考核结果管理详细
export function getTAssessmentResult(id) {
  return request({
    url: '/Train/TAssessmentResult/' + id,
    method: 'get'
  })
}

// 新增考核结果管理
export function addTAssessmentResult(data) {
  return request({
    url: '/Train/TAssessmentResult',
    method: 'post',
    data: data
  })
}

// 修改考核结果管理
export function updateTAssessmentResult(data) {
  return request({
    url: '/Train/TAssessmentResult',
    method: 'put',
    data: data
  })
}

// 删除考核结果管理
export function delTAssessmentResult(id) {
  return request({
    url: '/Train/TAssessmentResult/' + id,
    method: 'delete'
  })
}
