package com.amms.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.amms.common.annotation.Excel;
import com.amms.common.core.domain.BaseEntity;

/**
 * 软件版本管理模块对象 t_software_version
 * 
 * @author ruoyi
 * @date 2023-12-12
 */
public class TSoftwareVersion extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 软件驻留设备 */
    @Excel(name = "软件驻留设备")
    private String softwareResidentDevice;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 软件名称 */
    @Excel(name = "软件名称")
    private String softwareName;

    /** 版本 */
    @Excel(name = "版本")
    private String softwareVersion;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSoftwareResidentDevice(String softwareResidentDevice) 
    {
        this.softwareResidentDevice = softwareResidentDevice;
    }

    public String getSoftwareResidentDevice() 
    {
        return softwareResidentDevice;
    }
    public void setModel(String model) 
    {
        this.model = model;
    }

    public String getModel() 
    {
        return model;
    }
    public void setSoftwareName(String softwareName) 
    {
        this.softwareName = softwareName;
    }

    public String getSoftwareName() 
    {
        return softwareName;
    }
    public void setSoftwareVersion(String softwareVersion) 
    {
        this.softwareVersion = softwareVersion;
    }

    public String getSoftwareVersion() 
    {
        return softwareVersion;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("softwareResidentDevice", getSoftwareResidentDevice())
            .append("model", getModel())
            .append("softwareName", getSoftwareName())
            .append("softwareVersion", getSoftwareVersion())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
