import request from '@/utils/request'

// 查询指令性工作清单管理列表
export function listTCommandWorkBill(query) {
  return request({
    url: '/DirectiveTask/TCommandWorkBill/list',
    method: 'get',
    params: query
  })
}

// 查询指令性工作清单管理详细
export function getTCommandWorkBill(id) {
  return request({
    url: '/DirectiveTask/TCommandWorkBill/' + id,
    method: 'get'
  })
}

// 新增指令性工作清单管理
export function addTCommandWorkBill(data) {
  return request({
    url: '/DirectiveTask/TCommandWorkBill',
    method: 'post',
    data: data
  })
}

// 修改指令性工作清单管理
export function updateTCommandWorkBill(data) {
  return request({
    url: '/DirectiveTask/TCommandWorkBill',
    method: 'put',
    data: data
  })
}

// 删除指令性工作清单管理
export function delTCommandWorkBill(id) {
  return request({
    url: '/DirectiveTask/TCommandWorkBill/' + id,
    method: 'delete'
  })
}
