import request from '@/utils/request'

// 查询历史上的今天列表
export function listTTodayInHistory(query) {
  return request({
    url: '/Security/TTodayInHistory/list',
    method: 'get',
    params: query
  })
}

// 查询历史上的今天详细
export function getTTodayInHistory(id) {
  return request({
    url: '/Security/TTodayInHistory/' + id,
    method: 'get'
  })
}

// 新增历史上的今天
export function addTTodayInHistory(data) {
  return request({
    url: '/Security/TTodayInHistory',
    method: 'post',
    data: data
  })
}

// 修改历史上的今天
export function updateTTodayInHistory(data) {
  return request({
    url: '/Security/TTodayInHistory',
    method: 'put',
    data: data
  })
}

// 删除历史上的今天
export function delTTodayInHistory(id) {
  return request({
    url: '/Security/TTodayInHistory/' + id,
    method: 'delete'
  })
}
