import request from '@/utils/request'

// 查询发动机交接管理列表
export function listTEngineHandover(query) {
  return request({
    url: '/Technicaldata/TEngineHandover/list',
    method: 'get',
    params: query
  })
}

// 查询发动机交接管理详细
export function getTEngineHandover(id) {
  return request({
    url: '/Technicaldata/TEngineHandover/' + id,
    method: 'get'
  })
}

// 新增发动机交接管理
export function addTEngineHandover(data) {
  return request({
    url: '/Technicaldata/TEngineHandover',
    method: 'post',
    data: data
  })
}

// 修改发动机交接管理
export function updateTEngineHandover(data) {
  return request({
    url: '/Technicaldata/TEngineHandover',
    method: 'put',
    data: data
  })
}

// 删除发动机交接管理
export function delTEngineHandover(id) {
  return request({
    url: '/Technicaldata/TEngineHandover/' + id,
    method: 'delete'
  })
}
