import request from '@/utils/request'

// 查询技术更改单管理模块列表
export function listTTechnicalChanges(query) {
  return request({
    url: '/Technology/TTechnicalChanges/list',
    method: 'get',
    params: query
  })
}

// 查询技术更改单管理模块详细
export function getTTechnicalChanges(id) {
  return request({
    url: '/Technology/TTechnicalChanges/' + id,
    method: 'get'
  })
}

// 新增技术更改单管理模块
export function addTTechnicalChanges(data) {
  return request({
    url: '/Technology/TTechnicalChanges',
    method: 'post',
    data: data
  })
}

// 修改技术更改单管理模块
export function updateTTechnicalChanges(data) {
  return request({
    url: '/Technology/TTechnicalChanges',
    method: 'put',
    data: data
  })
}

// 删除技术更改单管理模块
export function delTTechnicalChanges(id) {
  return request({
    url: '/Technology/TTechnicalChanges/' + id,
    method: 'delete'
  })
}
