import request from '@/utils/request'

// 查询人员训练技术档案管理列表
export function listTTrainingManagement(query) {
  return request({
    url: '/Train/TTrainingManagement/list',
    method: 'get',
    params: query
  })
}

// 查询人员训练技术档案管理详细
export function getTTrainingManagement(id) {
  return request({
    url: '/Train/TTrainingManagement/' + id,
    method: 'get'
  })
}

// 新增人员训练技术档案管理
export function addTTrainingManagement(data) {
  return request({
    url: '/Train/TTrainingManagement',
    method: 'post',
    data: data
  })
}

// 修改人员训练技术档案管理
export function updateTTrainingManagement(data) {
  return request({
    url: '/Train/TTrainingManagement',
    method: 'put',
    data: data
  })
}

// 删除人员训练技术档案管理
export function delTTrainingManagement(id) {
  return request({
    url: '/Train/TTrainingManagement/' + id,
    method: 'delete'
  })
}
